<p>All of the tasks of OpenCraft are listed in the Jira Backlog for your cell. The tasks in the backlog are organized in groups or sections.</p>
<p>These sections are mainly the <strong>Sprint Tasks</strong> sections, the <strong>Stretch Goals</strong> section, and the <strong>Backlog</strong> section.  <strong>Sprint tasks</strong> sections include the tasks we selected as <em>Ready for Development</em> for a given sprint.  They are named after the sprint they hold tasks to, with its start date next to it. There are sprint tasks sections for both current and upcoming sprints. Tasks under <strong>Stretch Goals</strong> are additional tasks that will be Ready for Development if a developer finished their assigned tasks before the end of the sprint.  Finally, <strong>Backlog</strong> holds tasks that are not assigned to any sprint and is commonly very outdated (and usually not a good place for a newcomer to find suitable tasks).</p>
<p>As stated before, we expect you to work with your mentor to find a suitable task for you in your first sprint.  After that, we expect you will learn how to look for tasks on your own.</p>

<h3>Step by step</h3>

<p>This is your first sprint and you should not need to go through this steps below, except if your mentor couldn't find you tasks.  Feel free to skim over this section so you can come back here later on in your subsequent sprints.</p>
<ol>
<li>Go to your cell's sprint board. To find yours, <a href="https://tasks.opencraft.com/projects/">search jira for your cell</a>. Examples: <a href="https://tasks.opencraft.com/secure/RapidBoard.jspa?rapidView=26">Bebop</a>, <a href="https://tasks.opencraft.com/secure/RapidBoard.jspa?rapidView=24">Serenity</a>, <a href="https://tasks.opencraft.com/secure/RapidBoard.jspa?rapidView=45">Falcon</a>, and <a href="https://tasks.opencraft.com/secure/RapidBoard.jspa?rapidView=56">Deathstar</a>.</li>
<li>Look for unassigned tickets in the <em>upcoming sprint</em> sections. Start at the top of the list because tickets are generally sorted by descending priority. If there are no unassigned tickets in these sprints, look at the <em>Stretch Goals</em> sections, or <strong>ask for help</strong> from Epic Owners or the whole team. Usually, Epic Owners are eagerly looking for someone to help with their tasks, and sometimes tasks are not on the board yet. You can look through the <a href="https://tasks.opencraft.com/issues/?jql=issuetype %3D Epic AND status %3D 'In development'">list of active epics</a> to help with the search, make sure to set the project to your cell when browsing the list. If you didn't find tasks in the next sprint or stretch goals, try the <strong>Backlog</strong> section as a last resort. But, make sure to ask the ticket reporter or the assignee of the ticket's associated Epic (the Epic Owner) if it makes sense to work on it and if they can move it into an upcoming sprint. Also you can ask your team in <a href="https://handbook.opencraft.com/en/latest/glossary/#mattermost">Mattermost</a> on your cell's channel.
<li>When looking, check the left-hand border of the tickets in the list. We <a href="https://tasks.opencraft.com/secure/RapidView.jspa?rapidView=24&amp;tab=cardColors">configure different colored markers</a> to assist with sprint planning:
  <dl>
    <dt><span style="color: #fab700;">yellow</span></dt>
        <dd>Ticket is missing either an assignee, a reviewer,
        or <a href="https://handbook.opencraft.com/en/latest/glossary/#points">story
        points</a>. Check these first to see if one looks suitable.</dd>
    <dt><span style="color: #43de00;">green</span></dt>
        <dd>Ticket has an assignee, a reviewer,
        and <a href="https://handbook.opencraft.com/en/latest/glossary/#points">story
        points</a>, and so is ready for inclusion in the sprint.</dd>
    <dt><span style="color: #ff0000;">red</span></dt>
        <dd>Ticket is critical priority for the sprint.</dd>
    <dt><span style="color: #bf00bf;">purple</span><dt>
        <dd>Ticket is assigned to the other cell, but has a reviewer in this
        cell.</dd>
  </dl>
</li>
</ol>

<h3>If it's not your first sprint.</h3>

<p>Try to find some tasks from projects (a.k.a. epics) that you already worked
on. We want newcomers to work on different types of tasks, but some degree of
continuity is also important to keep the amount of context switching sane.
Also, don't forget to find tasks where you can be the reviewer.
The colored <a href="https://handbook.opencraft.com/en/latest/glossary/#epic">epic </a>
labels help with this.</li>

<h3>When to start picking?</h3>

<p>Usually, the time to start picking tasks for the next sprint is the day after the <a href="https://handbook.opencraft.com/en/latest/processes/sprints/#new-tasks-deadline">tasks creation deadline</a>, as most of your tasks (ideally all of them) are going to be in internal/external review, and team members will be busy with the review process. By this time, you'll always get the chance to know how much load you're going to be able to take in the next sprint using <a href="https://sprintcraft.opencraft.com/">SprintCraft</a>. Check the <span style="background-color: #fff5e5;"><a href="https://handbook.opencraft.com/en/latest/processes/sprints">Process for sprints</a>❗</span> section in the Handbook for extra details.</p>
